Skip to main content

Type Alias: GatewayInferenceChatCompletionResponseMessage

type GatewayInferenceChatCompletionResponseMessage = {
[key: string]: unknown;
content: string | null;
tool_calls?: GatewayInferenceChatCompletionMessageToolCalls;
role: "assistant";
function_call?: {
[key: string]: unknown;
arguments: string;
name: string;
};
content_blocks?: | GatewayInferenceChatCompletionMessageContentBlock[]
| null;
};

Defined in: src/models/ai-gateway-inference.ts:899

Portkey ChatCompletionResponseMessage; additive response fields are preserved.

Example​

`GatewayInferenceChatCompletionResponseMessageSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

content​

content: string | null;

Defined in: src/models/ai-gateway-inference.ts:900


tool_calls?​

optional tool_calls?: GatewayInferenceChatCompletionMessageToolCalls;

Defined in: src/models/ai-gateway-inference.ts:901


role​

role: "assistant";

Defined in: src/models/ai-gateway-inference.ts:902


function_call?​

optional function_call?: {
[key: string]: unknown;
arguments: string;
name: string;
};

Defined in: src/models/ai-gateway-inference.ts:903

Index Signature​

[key: string]: unknown

arguments​

arguments: string;

name​

name: string;

content_blocks?​

optional content_blocks?:
| GatewayInferenceChatCompletionMessageContentBlock[]
| null;

Defined in: src/models/ai-gateway-inference.ts:904